//
//  FWFileInformation.h
//  FFmpegWrapper
//
//  Created by Scott on 7/3/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FWFileAudioStream.h"
#import "FWFileVideoStream.h"


@interface FWFileInformation : NSObject {

	NSString		*rawOutput;
	NSString		*filename;
	NSString		*container;
	NSString		*duration;
	NSString		*start;
	NSString		*videoBitrate;
	BOOL			 videoFrameRateWarning;
	int				 selectedAudioStreamIndex;
	int				 selectedVideoStreamIndex;
	NSMutableArray	*audioStreamArray;
	NSMutableArray	*videoStreamArray;
}

- (id)initWithFilename:(NSString *)filename rawOutput:(NSString *)rawOutput;

- (void)dump;
- (NSString *)rawOutput;
- (void)setRawOutput:(NSString *)rawOutput;
- (NSString *)filename;
- (void)setFilename:(NSString *)filename;
- (NSString *)container;
- (void)setContainer:(NSString *)container;
- (NSString *)duration;
- (void)setDuration:(NSString *)duration;
- (NSString *)start;
- (void)setStart:(NSString *)start;
- (NSString *)videoBitrate;
- (void)setVideoBitrate:(NSString *)videoBitrate;
- (BOOL)videoFrameRateWarning;
- (void)setVideoFrameRateWarning:(BOOL)videoFrameRateWarning;
- (NSMutableArray*)audioStreamArray;
- (NSMutableArray*)videoStreamArray;
- (FWFileAudioStream *)selectedAudioStream;
- (FWFileVideoStream *)selectedVideoStream;
- (void)setSelectedAudioStreamIndex:(int)index;
- (void)setSelectedVideoStreamIndex:(int)index;

@end
